<template>
  <button class="ButtonCmp" @click="onClick">
    Click Me
  </button>
</template>

<script>
export default {
  name:"ButtonCmp",
  emits:{
    updateTitle: title =>{ return title ? true : false }
  },
  setup(props, context){
    function onClick(title){
      title = 'Lorem ipsum';
      context.emit('updateTitle', title)
    }
    return{
      onClick
    }
  }
}
</script>

  